#!/bin/sh

set -euo pipefail

exec kafka_exporter \
  --tls.enabled \
  --tls.ca-file=/local/kafka.ca.pem \
  --tls.cert-file=/secrets/kafka.bundle.pem \
  --tls.key-file=/secrets/kafka.bundle.pem \
  --server.tls.enabled \
  --server.tls.mutual-auth-enabled \
  --server.tls.ca-file=/local/monitoring.ca.pem \
  --server.tls.cert-file=/secrets/metrics.bundle.pem \
  --server.tls.key-file=/secrets/metrics.bundle.pem \
{{- range $index, $instance := service "[[ .instance ]]-broker[[ .consul.suffix ]]" }}
  --kafka.server={{ $instance.Address }}:{{ $instance.Port }} \
{{- end }}
  --web.listen-address=:${NOMAD_ALLOC_PORT_metrics}

